%define lib_name %mklibname %{name}- %{api_version} %{lib_major}
%define lib_major 0
%define api_version 1

Summary: Loudmouth is a C library for programming with the Jabber protocol
Name: loudmouth
Version: 1.4.3
Release: %mkrel 2
License: LGPLv2+
Group: System/Libraries
URL: http://www.loudmouth-project.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch0: loudmouth-1.4.3-gnutls-2.8.patch
Patch1: 01-fix-sasl-md5-digest-uri.patch
Patch2: 02-fix-async-resolving.patch
Patch3: 03-drop-stanzas-on-fail.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib2-devel
BuildRequires: libidn-devel
BuildRequires: gtk-doc


%description
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}

%description -n %{lib_name}
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

%package -n  lib%name-devel
Summary:	Libraries and include files for loudmouth
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:       glib2-devel

%description -n lib%name-devel
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

This package includes libraries and header files for developing
Loudmouth applications.

%prep
%setup -q

%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
autoreconf -fi
%configure2_5x --disable-gtk-doc --with-asyncns

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name}
/sbin/ldconfig

%postun -n %{lib_name}
/sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,-)
%doc README AUTHORS NEWS ChangeLog
%{_libdir}/*.so.*

%files -n lib%name-devel
%defattr(-,root,root,-)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Wed Sep 15 2010 Texstar <texstar at gmail.com> 1.4.3-3pclos2010
- rebuild for ssl


* Fri Mar 13 2009 Texstar <texstar@gmail.com> 1.4.3-2pclos2007
- build with openssl instead of gnutls

* Sat Nov 22 2008 slick50 <lxgator@gmail.com> 1.4.3-1pclos2007
- 1.4.3

* Sun Nov 05 2006 Texstar <texstar@houston.rr.com> 1.0.5-2pclos2007
- Build for PCLinuxOS 2007

